## fmit 0.97.7

=== debian/changelog ===
fmit (0.97.7-3) unstable; urgency=low

  * Change Build-Depends on fftw3-dev to libfftw3-dev, to avoid depending
    on a virtual package
  * Upgrade to "3.0 (quilt)" source format
  * Update debhelper compatibility level to 7 and use dh
  * Update Standards-Version to 3.8.4
  * Correct build and runtime issues with jackd2.  Thanks to Adrian
    Knoth for the patch. (Closes: #561415, #581276)
  * debian/menu: Fix syntax errors (thanks, lintian)

 -- John Wright <jsw@debian.org>  Mon, 17 May 2010 00:18:26 -0600

fmit (0.97.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD (Closes: #542540):
     - Add a <cstdlib> include (for exit) to src/main.cc.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Dec 2009 09:36:33 +0100

fmit (0.97.7-2) unstable; urgency=low

  * Update Standards-Version to 3.7.3 (no changes needed to be made)
  * Promote XS-Vcs-* fields to Vcs-* fields, since they are now natively
    supported by dpkg.
  * Use a Homepage field instead of a pseudo-field in the Description
  * Remove dpatch dependency and references in debian/rules (no upstream
    patches right now, and when I need some, I'll probably be using quilt)
  * Don't ignore a make clean error (check for the existance of Makefile
    instead)

 -- John Wright <jsw@debian.org>  Wed, 02 Jan 2008 13:29:01 -0700

fmit (0.97.7-1) unstable; urgency=low

  * New upstream version

 -- John Wright <jsw@debian.org>  Fri, 23 Nov 2007 13:56:36 -0700

fmit (0.97.6-3) unstable; urgency=low

  * debian/control:
    - Update my email address
    - Update the XS-Vcs-* fields to indicate my new revision control system and
      URIs
    - Clarify the Description field a bit
  * debian/rules:
    - Add some hg cleanup stuff to the 'clean' target

 -- John Wright <jsw@debian.org>  Tue, 18 Sep 2007 00:41:36 -0600

fmit (0.97.6-2) unstable; urgency=low

  * New maintainer. (Closes: 429756)
  * Allow building on platforms without ALSA, thanks to Cyril Brulebois.
    (Closes: 414391)
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields.

 -- John Wright <john@movingsucks.org>  Fri, 22 Jun 2007 17:03:48 +0100

fmit (0.97.6-1) unstable; urgency=low

  * New upstream version. Closes: #421099.
  * upstream-fix: Immediate segfault problem. Closes: #403567.
  * debian/patches/01_Upstream_TODO.dpatch: Update for new TODO file.

 -- Ludovic RESLINGER <lr@cuivres.net>  Sat, 16 Jun 2007 23:52:33 +0200

fmit (0.96.7-1) unstable; urgency=high

  * New upstream version.
  * upstream-fix: Alsa bug in case of multiple channels. Closes: #400483.
  * debian/control: Add Build-Dependency on fftw3-dev, required with new
    version.
  * debian/rules: Change QTDIR by --with-Qt-dir for ./configure.
  * debian/patches/01_Upstream_TODO.dpatch: Update for new TODO file.

 -- Ludovic RESLINGER <lr@cuivres.net>  Sat, 09 Dec 2006 14:50:20 +0100

fmit (0.96.5-1) unstable; urgency=low

  * Initial release: Closes: #280876 Closes: #380500.
  * debian/docs: Remove README and NEWS because upstream's files are empty.
  * debian/rules: Add QTDIR=/usr/share/qt3 to ./configure.
  * Add debian/fmit.1: Manpage for fmit.
  * Add dpatch packaging system.
  * Add patches/01_Upstream_TODO.dpatch: Traducting some parts of TODO in
    english.

 -- Ludovic RESLINGER <lr@cuivres.net>  Sun, 13 Aug 2006 15:28:57 +0200
