=== debian/control ===
Source: fmit
Section: sound
Priority: optional
Maintainer: John Wright <jsw@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libqt3-mt-dev, libfftw3-dev, freeglut3-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev
Standards-Version: 3.8.4
Homepage: http://home.gna.org/fmit/
Vcs-Hg: http://debian.johnwright.org/hg/fmit
Vcs-Browser: http://debian.johnwright.org/hg/fmit

Package: fmit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free Music Instrument Tuner
 fmit is a graphical utility for tuning your musical instruments, with
 error and volume history and advanced features like waveform shape,
 harmonics ratio (formants), and microtonal tuning.
 .
 fmit uses Qt for its GUI and ALSA (where available) or JACK as its
 sound input library.
