## fmit 0.99.2

=== debian/changelog ===
fmit (0.99.2-1) unstable; urgency=low

  * New upstream version
    - Drop jackd2 patch (fixed upstream)
    - Now builds against Qt4 (Closes: #604517)
  * Remove unused library dependencies
  * Use linux-any instead of a hardcoded list of negated architectures
    for the libasound2-dev Build-Depends (Closes: #634733)

 -- John Wright <jsw@debian.org>  Thu, 29 Dec 2011 01:46:00 -0800
