=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: sound
 Priority: optional
 Maintainer: John Wright <jsw@debian.org>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev, libqt3-mt-dev, libfftw3-dev, freeglut3-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev
+Build-Depends: debhelper (>= 7.0.50), cmake, libqt4-dev, libqt4-opengl-dev, libfftw3-dev, freeglut3-dev, libasound2-dev [linux-any], libjack-dev
 Standards-Version: 3.8.4
 Homepage: http://home.gna.org/fmit/
-Vcs-Hg: http://debian.johnwright.org/hg/fmit
-Vcs-Browser: http://debian.johnwright.org/hg/fmit
+Vcs-Git: git://git.johnwright.org/git/fmit.git
+Vcs-Browser: http://git.johnwright.org/?p=fmit.git
 
 Package: fmit
 Architecture: any
