=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #!/usr/bin/make -f
 
 # Disable Alsa on non-Linux architectures
-ifneq (,$(findstring $(DEB_HOST_ARCH_OS), kfreebsd hurd))
-	DEB_CONFIGURE_ALSA = --disable-alsa
+ifneq (linux,$(DEB_HOST_ARCH_OS))
+	DEB_CONFIGURE_ALSA = -DSOUNDSYSTEM_USE_ALSA=OFF
 else
-	DEB_CONFIGURE_ALSA = --enable-alsa
+	DEB_CONFIGURE_ALSA = -DSOUNDSYSTEM_USE_ALSA=ON
 endif
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-Qt-dir=/usr/share/qt3 $(DEB_CONFIGURE_ALSA)
+	dh_auto_configure -- $(DEB_CONFIGURE_ALSA)
 
 override_dh_auto_build:
 	# This file gets regenerated.  Make sure we can end up with the
