=== debian/watch ===
version=3
http://download.gna.org/fmit/	fmit-(.*)\.tar\.bz2	debian	uupdate
