## fmit 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 endif(COMMAND cmake_policy)
 
 SET (PACKAGE_NAME "fmit")
-SET (VERSION_MAJOR "0")
-SET (VERSION_MINOR "99")
-SET (VERSION_PATCH "2")
+SET (VERSION_MAJOR "1")
+SET (VERSION_MINOR "0")
+SET (VERSION_PATCH "0")
 SET (VERSION_SUFFIX "")
 SET (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 MESSAGE(STATUS "${PACKAGE_NAME} ${PACKAGE_VERSION} (install in ${CMAKE_INSTALL_PREFIX})")
@@ -63,7 +63,7 @@
 
 # Options ----------------------------------------------------------------------
 
-OPTION(SOUNDSYSTEM_USE_OSS "Build FMIT with OSS support")
+OPTION(SOUNDSYSTEM_USE_OSS "Build FMIT with OSS support" OFF)
 IF (SOUNDSYSTEM_USE_OSS)
     MESSAGE("OSS sound system requested")
     FIND_PACKAGE(OSS)
@@ -87,7 +87,7 @@
     ENDIF ()
 ENDIF ()
 
-OPTION(SOUNDSYSTEM_USE_PORTAUDIO "Build FMIT with Portaudio support")
+OPTION(SOUNDSYSTEM_USE_PORTAUDIO "Build FMIT with Portaudio support" OFF)
 IF (SOUNDSYSTEM_USE_PORTAUDIO)
     MESSAGE("Portaudio sound system requested")
     FIND_PACKAGE(Portaudio)
@@ -127,8 +127,14 @@
 
 # Desktop files
 INSTALL(FILES
-  fmit.desktop
+  distrib/fmit.desktop
   DESTINATION share/applications
+)
+
+# AppData file
+INSTALL(FILES
+  distrib/fmit.appdata.xml
+  DESTINATION share/appdata
 )
 
 # Icon files
@@ -142,7 +148,7 @@
 # cpack --config CPackConfig.cmake
 # cpack --config CPackSourceConfig.cmake
 INCLUDE(InstallRequiredSystemLibraries)
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
+SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING_GPL.txt")
 SET(CPACK_GENERATOR "TGZ;TBZ2")
 SET(CPACK_PACKAGE_VENDOR "Gilles Degottex")
 SET(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
@@ -154,7 +160,7 @@
     .deps ".*\\\\.ui~"
     CMakeFiles cmake_install.cmake CMakeCache.txt
     Makefile
-    contrib build dwl remez old test
-    test_build.sh sync_dwl.sh
+    build dwl remez old test
+    test_build.sh
 )
 INCLUDE(CPack)
