=== src/CMakeLists.txt ===
--- 
+++ 
@@ -53,7 +53,7 @@
 TARGET_LINK_LIBRARIES(fmit
     CppAddons Music
     fmit_modules
-    ${QT_LIBRARIES} ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${FFTW3_LIBRARIES}
+    ${QT_LIBRARIES} ${GLUT_glut_LIBRARY} ${OPENGL_gl_LIBRARY} ${FFTW3_LIBRARIES}
     ${ALSA_LIBRARIES}
     ${PORTAUDIO_LIBRARIES}
     ${JACK_LIBRARIES}
