=== debian/changelog ===
fmit (1.0.0-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:39:20 +0000

fmit (1.0.0-1) unstable; urgency=medium

  * New upstream version
    - All patches dropped, since they are now included upstream
  * Update description and VCS URLs
  * Update copyright file, and convert to DEP5
  * Update upstream information in contributed man page
  * Update Standards-Version to 3.9.6 (no changes required)
  * Use debhelper compat=9 to pick up hardening flags with cmake (fixes
    Lintian hardening-no-relro warning)

 -- John Wright <jsw@debian.org>  Sat, 13 Jun 2015 20:42:40 -0700
