=== debian/control ===
Source: fmit
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Wright <jsw@debian.org>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev, libqt4-opengl-dev, libfftw3-dev, freeglut3-dev, libasound2-dev [linux-any], libjack-dev
Standards-Version: 3.9.6
Homepage: http://gillesdegottex.github.io/fmit
Vcs-Git: git://anonscm.debian.org/collab-maint/fmit.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fmit.git/

Package: fmit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free Music Instrument Tuner
 FMIT is a graphical utility for tuning your musical instruments, with
 error and volume history and advanced features like microtonal tuning,
 statistics, and various views like waveform shape, harmonics ratios and
 real-time Discrete Fourier Transform (DFT). All views and advanced features
 are optional so that the interface can also be very simple.
