=== debian/rules ===
#!/usr/bin/make -f

# Disable Alsa on non-Linux architectures
ifneq (linux,$(DEB_HOST_ARCH_OS))
	DEB_CONFIGURE_ALSA = -DSOUNDSYSTEM_USE_ALSA=OFF
else
	DEB_CONFIGURE_ALSA = -DSOUNDSYSTEM_USE_ALSA=ON
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_ALSA)
