## fmit 1.2.6

=== debian/changelog ===
fmit (1.2.6-0.2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:23 +0100

fmit (1.2.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Explicitly build-depends on
    libqt5opengl5-desktop-dev to avoid the package to be built
    on armel/armhf.
  * debian/docs: Install README.txt as documentation.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Sep 2019 14:48:24 -0400

fmit (1.2.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/rules: Fix build of translation files.
  * debian/patches: Add patch 0001 to install the appdata files
    to the new location (instead of the legacy location).
  * debian/copyright: Correctly document the appdata metadata
    file as licensed under CC0-1.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Sep 2019 12:55:10 -0400

fmit (1.2.6-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.2.6. (Closes: #899420)
    + Do not translate "default" as device name.
      (Closes: #802924)
  * debian/control:
    + Bump debhelper compat to v12.
    + Use Rules-Requires-Root: no.
    + Update build-dependency and use qmake toolchain.
    + Update build-dependency and use Qt5 toolchain.
      (Closes: #874884)
  * debian/rules:
    + Enable full hardening.
  * debian/menu: Dropped.
  * debian/dirs: Dropped.
  * debian/copyright: Refresh information.
  * debian/source/local-options: Removed, no longer necessary.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Jun 2019 14:27:36 -0400

fmit (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Update Vcs-* fields and use git repo under Salsa Debian team.
  * debian/patches: Add a patch to fix FTBFS against glibc 2.27.
    (Closes: #890669).

 -- Boyuan Yang <byang@debian.org>  Wed, 29 May 2019 17:56:13 -0400
