## fmit 1.2.14

=== debian/changelog ===
fmit (1.2.14-0.1build4) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:12:35 +0000

fmit (1.2.14-0.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:53:16 +0000

fmit (1.2.14-0.1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:24:28 +0000

fmit (1.2.14-0.1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:35:35 +0000

fmit (1.2.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.2.14.
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Bump debhelper compat to v13.
    + Add missing qt5-qmake:native for cross-build. (Closes: #974599)
  * debian/salsa-ci.yml: Add Salsa CI support.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jun 2022 21:04:43 -0400
