=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fmit
 Section: sound
 Priority: optional
-Maintainer: John Wright <jsw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Wright <jsw@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  freeglut3-dev,
  gettext,
  itstool,
@@ -14,12 +15,13 @@
  libqt5svg5-dev,
  portaudio19-dev,
  qt5-qmake,
+ qt5-qmake:native,
  qtbase5-dev,
  qtmultimedia5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://gillesdegottex.github.io/fmit
+Homepage: https://gillesdegottex.github.io/fmit
 Vcs-Git: https://salsa.debian.org/debian/fmit.git
 Vcs-Browser: https://salsa.debian.org/debian/fmit
