=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

# Disable Alsa on non-Linux architectures
ifneq (linux,$(DEB_HOST_ARCH_OS))
	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_qt acs_jack acs_portaudio"
else
	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_qt acs_alsa acs_jack acs_portaudio"
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_FLAGS)
	# also build translation .qm files
	$(MAKE) lrelease
