=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fmit-$1\.tar\.gz/ \
  https://github.com/gillesdegottex/fmit/tags .*/v?(\d\S*)\.tar\.gz
