## fmit 1.3.2

=== debian/changelog ===
fmit (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.3.2.
  * debian/control: Migrate to Qt6.
  * debian/clean: Explicitly clean built translation binaries.
    (Closes: #1045101)

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Nov 2025 15:07:05 -0400
