=== debian/control ===
Source: fmit
Section: sound
Priority: optional
Maintainer: John Wright <jsw@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev,
 gettext,
 itstool,
 libasound2-dev [linux-any],
 libfftw3-dev,
 libjack-dev,
 portaudio19-dev,
 qt6-base-dev,
 qt6-l10n-tools,
 qt6-multimedia-dev,
 qt6-svg-dev,
 qt6-tools-dev-tools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gillesdegottex.github.io/fmit
Vcs-Git: https://salsa.debian.org/debian/fmit.git
Vcs-Browser: https://salsa.debian.org/debian/fmit
Description: Free Music Instrument Tuner
 FMIT is a graphical utility for tuning your musical instruments, with
 error and volume history and advanced features like microtonal tuning,
 statistics, and various views like waveform shape, harmonics ratios and
 real-time Discrete Fourier Transform (DFT). All views and advanced features
 are optional so that the interface can also be very simple.

Package: fmit
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
