=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,15 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND =
 
-export QT_SELECT := 5
-
 # Disable Alsa on non-Linux architectures
 ifneq (linux,$(DEB_HOST_ARCH_OS))
-	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_qt acs_jack acs_portaudio"
+	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_jack acs_portaudio"
 else
-	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_qt acs_alsa acs_jack acs_portaudio"
+	DEB_CONFIGURE_FLAGS = "CONFIG+=acs_alsa acs_jack acs_portaudio"
 endif
 
 %:
-	dh $@
+	dh $@ --buildsystem=qmake6
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_FLAGS)
