=== debian/watch ===
Version: 5

Source: https://github.com/gillesdegottex/fmit/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/fmit-$1\.tar\.gz/
